# Thread::globally

(PECL pthreads < 3.0.0)

Thread::globally — Execution

Warning

This method has been removed in pthreads v3.

### Description

public static Thread::globally ( void ) : mixed

Will execute a Callable in the global scope

### Parameters

This function has no parameters.

### Return Values

The return value of the Callable

### Examples

Example #1 Execute in the global scope

`<?php
class My extends Thread {
public function run() {
global $std;
Thread::globally(function(){
$std = new stdClass;
});
var_dump($std);
}
}
$my = new My();
$my->start();
?>`

The above example will output:

    object(stdClass)#3 (0) {
    }